Bug 834686 - fbcon cursor_blink disabled on livecd, enabled on freshly installed system
fbcon cursor_blink disabled on livecd, enabled on freshly installed system
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: spin-kickstarts (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jeroen van Meeuwen
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-22 15:11 EDT by Oliver Henshaw
Modified: 2013-08-01 13:18 EDT (History)
14 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 13:18:26 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Oliver Henshaw 2012-06-22 15:11:02 EDT
Description of problem:

On the fedora 17 live iso (default or kde), the virtual console cursor does not blink. On a freshly installed system (from the live image) the vt cursor does blink.

In the livecd:
# cat /sys/devices/virtual/graphics/fbcon/cursor_blink
-1

On the installed system, from Xorg:
# cat /sys/devices/virtual/graphics/fbcon/cursor_blink
0
On the installed system, from another vt:
# cat /sys/devices/virtual/graphics/fbcon/cursor_blink
1


This is on a kvm system with spice/qxl, but it looks like vnc/cirrus has the same behaviour. I have some kvm systems installed from the f16 livecd but neither these nor the livecd itself have a blinking cursor in the vt.

I'm not sure which of these behaviours is the bug. Is there a policy on whether the fbcon cursor blinks (e.g. for power saving reasons)?


Version-Release number of selected component (if applicable):

kernel-3.3.4-5.fc17.x86_64


How reproducible:

Boot to desktop or run-level 3. If on desktop, switch to another virtual terminal. Observe whether the cursor blinks. Check /sys/devices/virtual/graphics/fbcon/cursor_blink from the console and from the desktop.
Comment 2 Josh Boyer 2012-07-10 10:30:36 EDT
We can't change the live images after release.  Also, this doesn't really seem to be an actual problem but rather just an inconsistency.  On some desktops, the cursor blinking is controlled by system settings so it can be disabled, etc.

I'm going to close this bug out as there isn't much we can do at this point.
Comment 3 Oliver Henshaw 2012-07-12 12:18:12 EDT
What I meant is that there's a behaviour difference between the liveiso image and the (pristine) image installed to disk by liveinst. And it isn't just the release image, I can reproduce this with a liveiso built from F17 + updates, ie:

kernel-3.4.4-5.fc17.x86_64
plymouth-0.8.5-0.2012.04.27.1.fc17.x86_64
dracut-018-78.git20120622.fc17.noarch

There doesn't seem to be a current rawhide nightly, so I can't test this on F18.

Secondly, I'm talking about virtual terminals (i.e. Ctrl+Alt+Fx) not graphical terminals. I don't think fbcon cursor blinking is controlled by gconf on any desktop, is it?


Note: I'm pretty sure it's the live-image case that's broken as fbcon/cursor_blink stays at -1 and I can't turn the blink on or off by echoing "1" or "0" to it.
Comment 4 Josh Boyer 2012-07-12 14:20:19 EDT
Given the same kernel is used in both cases, I'm going to reassing this to livecd-tools for now.  The code in the kernel isn't changing, so something the live images do is causing the inconsistency.
Comment 5 Brian Lane 2012-07-13 14:38:24 EDT
livecd tools doesn't do anything to control blinking either way. This must be a spins issue.
Comment 6 Fedora End Of Life 2013-07-04 01:58:27 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2013-08-01 13:18:34 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.